{% extends "base.html" %}

{% load i18n %}

{% block page_name %}Front Desk Registration{% endblock %}

{% block extrastyles %}
<link rel="stylesheet" type="text/css" href="{{static|default:'/static/debconf_website'}}/css/frontdesk.css"/>
{% endblock %}

{% block sub_nav %}{% endblock %}

{% block content %}
<h1>{{ summit.title }}</h1>

<h2>Registration</h2>

<form id="registration" method="post" action="" enctype="multipart/form-data">
  {% csrf_token %}

  <div class="form_section">
    <div class="form_header" id="general_profile">General</div>

    {% if form.public_image.value %}
    <div id="headshot-registration">
     <img src="{{ MEDIA_URL }}{{ form.public_image.value }}" class="thumbnail" />
    </div>
    {% endif %}

    {% for field in form.visible_fields %}

    {% if field.name == "contact_email" %}
  </div>
  <div class="form_section">
    <div class="form_header" id="contact_profile">Contact</div>
    {% elif field.name == "attend" %}
  </div>
  <div class="form_section">
    <div class="form_header" id="conference_profile">Conference</div>
    {% endif %}

    <div>
      {% if field.field.label %}<label for="id_{{ field.name }}"{% if field.field.required %} class="required"{% endif %}>{{ field.label }}</label>{% endif %}

      {% if field.name == "public_image" %}
      <input type="file" name="public_image" id="id_public_image" />
      {% else %}
      {{ field }}
      {% endif %}

      {% if field.help_text %}
      <div class="help_text">
        {{ field.help_text|safe }}
      </div>
      {% endif %}

      {% if field.help_text %}<span class="help" rel="help" title="{{ field.help_text }} {% if field.field.required %}({% trans "Required" %}){% endif %}">&nbsp;</span>{% endif %}

      {% if field.errors %}
      <ul class="errorlist">
        {% for error in field.errors %}
        <li class="error">{{ error }}</li>
        {% endfor %}
      </ul>
      {% endif %}
    </div>

    {% endfor %}

    {% for field in sponsform.visible_fields %}

    {% if field.name == "needs_food" %}
  </div>
  <div class="form_section">
    <div class="form_header" id="sponsorship_profile">Sponsorship</div>
    {% endif %}

    <div>
      {% if field.field.label %}<label for="id_{{ field.name }}"{% if field.field.required %} class="required"{% endif %}>{{ field.label }}</label>{% endif %}

      {{ field }}

      {% if field.help_text %}
      <div class="help_text">
        {{ field.help_text|safe }}
      </div>
      {% endif %}

      {% if field.help_text %}<span class="help" rel="help" title="{{ field.help_text }} {% if field.field.required %}({% trans "Required" %}){% endif %}">&nbsp;</span>{% endif %}

      {% if field.errors %}
      <ul class="errorlist">
        {% for error in field.errors %}
        <li class="error">{{ error }}</li>
        {% endfor %}
      </ul>
      {% endif %}
    </div>
    {% endfor %}
  </div>

  <div class="hidden">
    {% for field in form.hidden_fields %}
    {{ field }}
    {% endfor %}

    {% for field in sponsform.hidden_fields %}
    {{ field }}
    {% endfor %}
  </div>

  <input type="submit" name="submit" value="Save" class="submit-button"/>
</form>
{% endblock %}
